set terminal pslatex norotate
set grid xtics 0
set grid mxtics 0
set grid ytics 0
set grid mytics 0
set border
set xtics 40
set mytics 2
set samples 2500
set xzeroaxis 1
set yzeroaxis 1
set pointsize 1.5 
set nokey
set size 1.6,1.8


###############################################################################


set output "graphs/ba.tex"
set xlabel '[r]{$\alpha [\textrm{deg}]$}' 50,0
set ylabel '[r]{$R[\textrm{k}\Omega]$}' 0,35
set xrange [0:300]
set yrange [0:10]
set ytics 1
set mxtics 4
plot	"graphs/ba.val" using 1:2:(100) smooth acsplines with lines -1, \
	"graphs/ba.val" every ::1 using 1:2 with points 1


###############################################################################


set output "graphs/bb.tex"
set ylabel '[r]{$\mathrm{r}[\textrm{dB}]$}' 0,35
set yrange [0:0.75]
set ytics 0.1
set mxtics 4
plot	"graphs/bb.val" using 1:4:(1) smooth acsplines with lines -1, \
	"graphs/bb.val" every ::1 using 1:4 with points 1


###############################################################################


set output "graphs/ca.tex"
set xrange [0:6.25]
set yrange [0:52.5]
set xlabel 'U[V]' 50,0
set ylabel 'I[A]' -1,34
set ytics 5
set mytics 2
set xtics 0.5
set mxtics 2

# Vyneseni 2 bodu
set arrow from 2.75,0 to 2.75,37 nohead lt 2 lw 1
set arrow from 0,36.25 to 2.8,36.25 nohead lt 2 lw 1
set arrow from 2.25,0 to 2.25,34 nohead lt 2 lw 1
set arrow from 0,33.2 to 2.3,33.2 nohead lt 2 lw 1
# secna
set arrow from 0.25,21.3 to 4.5,46.8 nohead lt 1 lw 1
#popisek u prac. bodu.
set label '\footnotesize{\sf{P[2{,}5; 34{,}7]}}' at 3.075,30.9
set arrow from 3.05,31 to 2.52,34.4
set label '\footnotesize{\sf{A[2{,}25; 33{,}2]}}' at 1.58,34.2
set label '\footnotesize{\sf{B[2{,}75; 36{,}25]}}' at 2.775,35.25

plot	"graphs/ca.val" using 1:2:(1000) smooth acsplines with lines -1, \
	"graphs/ca.val" every ::1 using 1:2 with points 1
set nolabel
set noarrow


###############################################################################

	
set output "graphs/cb.tex"
set xrange [0:5.75]
set yrange [0:21]
set xlabel 'U[V]' 50,0
set ylabel 'I[A]' -1,34
set ytics 2
set mytics 2
set xtics 0.5
set mxtics 2
# Tecna
set arrow from 4.29,1.5 to 2.95,16 nohead
# prac. bod
set label '\footnotesize{\sf P[3{,}69; 8]}' at 3.72,8.2
# A, B
set label '\footnotesize{\sf A[3{,}78; 7]}' at 3.8,7.3
set arrow from 0,7 to 3.78,7 nohead lt 2 lw 1
set arrow from 3.78,0 to 3.78,7 nohead lt 2 lw 1
set label '\footnotesize{\sf B[3{,}6; 9]}' at 3.62,9.3
set arrow from 3.6,9 to 0,9 nohead lt 2 lw 1
set arrow from 3.6,0 to 3.6,9 nohead lt 2 lw 1
plot	"graphs/cb.val" index 0:4 using 1:2  \
			with lines -1, \
	"graphs/cb.val" every ::1 using 1:2 with points 1
#	"graphs/cb.val" using 1:2 smooth csplines with lines -1
set nolabel
set noarrow

###############################################################################


set output "graphs/cc.tex"
set xrange [0:110]
set yrange [0:4.75]
set xlabel '$\vartheta$ [$^\circ$C]' 50,0
set ylabel 'R [k$\Omega$]' -1,34
set ytics 0.5
set mytics 2
set xtics 10
set mxtics 2
plot	"graphs/cc.val" using 1:3:(600) smooth acsplines with lines -1, \
	"graphs/cc.val" using 1:3 with points 1


